<?xml version="1.0" encoding="windows-1252"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:user="http://www.lexware.de/namespace">
	<xsl:import href="MsgParse.xsl"/>
	<xsl:output method="html" omit-xml-declaration="yes" />
	<xsl:template match="/">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="..\Gemeinsam\Styles\css_qs_neu_tg.CSS"/>
				
 				<script src="..\Gemeinsam\JavaScripts\DropDown.js"></script>
				<script src="..\Gemeinsam\JavaScripts\Steuerpruefer.js"></script>
				<script src="..\Gemeinsam\JavaScripts\TastaturSteuerung.js"></script>
				<script src="..\Gemeinsam\JavaScripts\FixJumpsTest.js"></script>

			<script>
			var strLastPage = "";

			function SetPage( strLast )
			{
				strLastPage = strLast;
			}

			function GetPage()
			{
				return( strLastPage );
			}
			</script>
			<SCRIPT language="JScript"><![CDATA[


function ActivateControl(lDialogId,lControl,lAnlageNr)
{
	try
	{
		hidFocusControl.setAttribute("lDialog", lDialogId, 0);
		hidFocusControl.setAttribute("lControl", lControl, 0);
		hidFocusControl.setAttribute("lAnlageNr", lAnlageNr, 0);
		hidFocusControl.fireEvent("onclick");
	}
	catch (e) // on error
	{
		alert('Fehler: ' + e.description);
	}

}

function checkAllRuleBoxes(o)
{
	var name = o.name;
	var state = o.checked;
	var col = document.getElementsByName(name);
	
	var idx;
	for(idx=0; idx<col.length; idx++)
	{
		col[idx].checked=state;
	}
}
]]>
			</SCRIPT>
				
				<script><xsl:comment>
					<![CDATA[
					var stylesheet = document.XSLDocument;
					var source = document.XMLDocument;
					]]></xsl:comment>
				</script>
			</head>
			<body topmargin="0" leftmargin="10" oncontextmenu="return false" style="overflow:auto; border:none;">
				<input type="hidden" id="hIdRule"/>
				<input type="hidden" id="hIsChecked"/>
				<input type="hidden" name="hidFocusControl" />

				<div style="display:none"><iframe id="TmpFrame" src="about:blank"></iframe></div>

				<div id="listing">
					<xsl:apply-templates select="DieDaten"/>
				</div>
				
			</body>
		</html>
	</xsl:template>

	<xsl:template match="DieDaten">
		<table class="DieDaten" cellpadding="0" cellspacing="0" width="100%">
			<xsl:apply-templates/>
		</table>
	</xsl:template>

	<xsl:template match="Fazit[@Typ='positiv']">
		<table class="Fazit" cellpadding="0" cellspacing="0" width="98%">
			<colgroup>
				<col width="12"></col>
				<col width="*"></col>
				<col width="100"></col>
			</colgroup>		
			<tr>
				<td class="Fazit_Header" colspan="2">
					<b><xsl:value-of select="//Fazit/caption" disable-output-escaping="yes"/></b>
				</td>
				<td class="Aktualisieren" id="aktualizieren">Aktualisieren</td>
			</tr>
			<tr>
				<td><img src="../gemeinsam/images/Fazit_positiv.bmp"></img></td>
				<td>
					<table class="Fazit" cellpadding="0" cellspacing="0" width="100%">
						<tr><td class="Fazit"><xsl:value-of select="//Fazit/text" disable-output-escaping="yes"/></td></tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="Fazit[@Typ='negativ']">
		<table class="Fazit" cellpadding="0" cellspacing="0" width="98%">
			<colgroup>
				<col width="12"></col>
				<col width="*"></col>
				<col width="100"></col>
			</colgroup>		
			<tr>
				<td class="Fazit_Header" colspan="2">
					<b><xsl:value-of select="//Fazit/caption" disable-output-escaping="yes"/></b>
				</td>
				<td class="Aktualisieren" id="aktualizieren">Aktualisieren</td>
			</tr>
			<tr>
				<td><img src="../gemeinsam/images/Fazit_hinweis.bmp"></img></td>
				<td>
					<table class="Fazit" cellpadding="0" cellspacing="0" width="100%">
						<tr><td class="Fazit"><xsl:value-of select="//Fazit/text" disable-output-escaping="yes"/></td></tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>

	<xsl:template match="Header">
		<table class="Thema" cellpadding="0" cellspacing="0" width="100%">
			<colgroup>
				<col width="12"></col>
				<col width="*"></col>
				<col width="5"></col>
				<col width="5"></col>
			</colgroup>		
			<tr>
				<xsl:attribute name="onClick">toggleExpandedCollapsed('<xsl:value-of select="name"/>')</xsl:attribute>
				<td align="left"><img><xsl:attribute name="src"><xsl:value-of select="title-bmp"/></xsl:attribute></img></td>
				<td class="header"><b><xsl:value-of select="name"/></b></td>
				<td align="right">
					<xsl:choose>
						<xsl:when test="@expanded[.='JA']">
							<img src="../gemeinsam/images/Steuerpruefer/PfeilNachUnten.gif"> </img>
						</xsl:when>
						<xsl:otherwise>
							<img src="../gemeinsam/images/Steuerpruefer/PfeilNachLinks.gif"> </img>
						</xsl:otherwise>
					</xsl:choose>
				</td>
			</tr>
		</table>

		<xsl:if test="@expanded[.='JA']">
			<xsl:apply-templates select="knoten"/>
		</xsl:if>
	</xsl:template>

	<xsl:template match="knoten">
		<table class="Rahmen" cellpadding="0" cellspacing="0" width="100%">
			<!-- TITLE -->
			<tr class="Zeile">
				<td width="100%">
					<table class="item" width="100%">
						<tr>
							<td width="3px">
<!--								<xsl:choose>				
									<xsl:when test="image[.!='']">
										<img align="absmiddle"><xsl:attribute name="src"><xsl:value-of select="image"/></xsl:attribute></img>
									</xsl:when>
									<xsl:otherwise>
										<img src="../gemeinsam/images/Steuerpruefer/Abstand.gif"></img>
									</xsl:otherwise>
								</xsl:choose>-->
								<img src="../gemeinsam/images/Steuerpruefer/Abstand.gif"></img>							
							</td>
							<td class="item">
								<xsl:value-of select="caption" disable-output-escaping="yes"/>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			
			<!-- LINE -->
			<tr><td bgcolor="white"><img src="../gemeinsam/images/Steuerpruefer/Abstand.gif"></img></td></tr>

			<!-- ITEMS -->
			<tr class="item">
				<td width="100%">
					<ul class="nobullet">
						<xsl:apply-templates select="items/item"/>
					</ul>
				</td>
			</tr>
		</table>
	</xsl:template>


	<xsl:template match="item[@type='caption']">
		<li class="nobullet caption"> 
			<div><b>
				<xsl:attribute name="class"><xsl:if test="@style='nfach'">nfach</xsl:if></xsl:attribute>
				<xsl:value-of select="caption" disable-output-escaping="yes"/>
			</b></div>
			
			<xsl:if test="count(item)&gt;0">
				<ul class="no-bullet">
					
					<xsl:apply-templates select="item"/>
				</ul>
			</xsl:if>
		</li>
	</xsl:template>

	<xsl:template match="item[@type='link']">
		<li class="link nobullet">
			<xsl:apply-templates select="link"/>
		</li>
		<xsl:apply-templates select="item"/>		
	</xsl:template>
	
	<xsl:template match="item[@type='break']">
		<br/>
	</xsl:template>

	<xsl:template match="item[@type='text']">
		<xsl:apply-templates select="*"/>
		<p/>
	</xsl:template>
		
	<xsl:template match="item[@type='check' and not(@rule-id='')]">
		<br/>
		<input type="checkbox">
			<xsl:attribute name="name">
				<xsl:value-of select="concat('rule_', @rule-id)"/>
			</xsl:attribute>
			<xsl:attribute name="id">
				<xsl:value-of select="concat('rule_', @rule-id)"/>
			</xsl:attribute>
			<xsl:choose>
				<xsl:when test="@is-hidden=0"></xsl:when>
				<xsl:otherwise><xsl:attribute name="checked"/></xsl:otherwise>
			</xsl:choose>
			<xsl:attribute name="onclick">
				hIdRule.value = <xsl:value-of select="@rule-id"/>;
				hIsChecked.value = this.checked;
				checkAllRuleBoxes(this);
				hIdRule.fireEvent("onclick");
			</xsl:attribute>
		</input> Diesen Hinweis nicht mehr anzeigen
	</xsl:template>

	<xsl:template match="text">
		<!--Msg- Head-->
		<b>	<xsl:value-of disable-output-escaping="yes" select="user:ExtractMsgHead(string(.))"/></b><br/>
		<!--Msg- Body-->
		<xsl:value-of disable-output-escaping="yes" select="user:ExtractMsgBody(string(.))"/>
	</xsl:template>

	<xsl:template match="link">
		<span class="link">
			<xsl:attribute name="onclick">
				javascript:ActivateControl(<xsl:value-of select="@resource-id"/>, <xsl:value-of select="@ctrl-id"/>, <xsl:value-of select="@anlage-nr"/>)
			</xsl:attribute>
			<br/><xsl:value-of select="." disable-output-escaping="yes"/>
		</span>
	</xsl:template>
</xsl:stylesheet>